miércoles, 24 de enero de 2007

Instalar Barra de Google en Firefox 2

Hoy instale la barra de firefox 2 en ubuntu edgy, con la sorpresa que me daba un error, así que busque la forma de hacer la instalación y realmente es algo sencillo.

El error que nos muestra cuando intentamos instalar dicha barra es:
"Google Toolbar for Firefox" could not be installed because it is not
compatible with your Firefox build type (linux-gnu_x86-gcc3). Please
contact the author of this item about the problem. "
Para solucionarlo podemos hacer lo siguiente:

  1. Podemos bajarla dando en consola:
    wget http://dl.google.com/firefox/google-toolbar-linux.xpi

  2. Abrimos el paquete, puede ser por entono gráfico (un simple click o doble click según el caso), y borramos los tres archivos que se encuentran dentro del directorio META-INF, los nombres son: manifest.mf, zigbert.rsa y zigbert.sf


  3. Luego extraemos el archivo que se llama install.rdf para poderlo modificar. Editamos o eliminamos la siguiente linea:

    simplemente podemos eliminar la linea o cambiar linux por linux-gnu_x86-gcc3, es nuestra elección, en mi caso yo decidí agregar lo que faltaba.

  4. Ahora lo que necesitamos hacer en es guardar el archivo que modificamos en nuestro .xpi lo que hacemos es eliminar el install.rdf y agregar el que modificamos.

  5. Guardamos y cerramos el paquete y procedemos a instalarlo normalmente en el firefox (simplemente arrastramos el paquete .xpi a firefox y el nos abre el asistente para extensiones y temas, con esto ya no nos debe dar error e instalar correctamente.
Espero esta guia les sirva, para solucionar este pequeño problemita.